[问题]怎么安装fcitx

OOo,TeX,KO,ABI,GIMP,Picasa,ProE,QCAD,Inkscape,Kicad,Eagle
回复
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

[问题]怎么安装fcitx

#1

帖子 childe » 2005-12-06 1:55

我想安装fcitx,下载了fcitx_3.2-051010_i386.deb,
root@childe:/home/liujia/Desktop# dpkg -i fcitx_3.2-051010_i386.deb
(正在读取数据库 ... 系统当前总共安装有 79106 个文件和目录。)
正预备替换 fcitx 3.2-051010 (使用 fcitx_3.2-051010_i386.deb) ...
正在解压缩将用于更替的包文件 fcitx ...
dpkg:依赖关系问题使得 fcitx 的配置工作不能继续:
fcitx 依赖于 libxrender1 (>> 1:0.9.0-1);然而:
系统里的 libxrender1 的版本是 1:0.9.0-1.
fcitx 依赖于 ttf-arphic-uming;然而:
软件包 ttf-arphic-uming还没有被安装。
dpkg:处理 fcitx (--install)时出错:
依赖关系问题 - 仍未被配置
在处理时有错误发生
但是,libxrender1明明装上了。 还有好多软件包安装时都是依赖关系问题! 而且是缺
少不同的东西,怎么办啊?
头像
gnix_oag
帖子: 1994
注册时间: 2005-05-19 18:38
来自: 湖南永州
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 gnix_oag » 2005-12-06 10:50

看新手指南
头像
freeflying
论坛版主
帖子: 521
注册时间: 2005-03-26 9:38
送出感谢: 0
接收感谢: 0

#3

帖子 freeflying » 2005-12-06 11:33

你是从那里下的,你这不是ubuntu下的包,debian的很多报不能直接在ubuntu里使用。
图片
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 childe » 2005-12-06 12:46

我在www.fcitx.org下的,请问应该那里下?
头像
catinsnow
帖子: 773
注册时间: 2005-08-02 7:23
来自: 上海
送出感谢: 0
接收感谢: 1 次

#5

帖子 catinsnow » 2005-12-06 12:58

源里应该有吧.没有的话加上本站的ubuntu-cn源.
Ubuntu Intrepid
#P4 2.4
P4 2.4C
#1024MB
2048MB
#120G
500G+120G
Nvidia FX5700
#ATI9100 --拆了,受不了ATI的驱动.
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 childe » 2005-12-06 13:05

谢谢! 我是新手,请问源里是指哪里?
catinsnow 写了:源里应该有吧.没有的话加上本站的ubuntu-cn源.
头像
catinsnow
帖子: 773
注册时间: 2005-08-02 7:23
来自: 上海
送出感谢: 0
接收感谢: 1 次

#7

帖子 catinsnow » 2005-12-06 13:14

试试

代码: 全选

sudo apt-get install fcitx
参见:
http://www.ubuntu.org.cn/support/docume ... st_install
Ubuntu Intrepid
#P4 2.4
P4 2.4C
#1024MB
2048MB
#120G
500G+120G
Nvidia FX5700
#ATI9100 --拆了,受不了ATI的驱动.
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 childe » 2005-12-06 13:37

liujia@childe:~$ sudo apt-get install fcitx
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
现在没有可用的软件包 fcitx,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
W: 无法获取源软件包列表 http://archive.ubuntu.com breezy/multiverse Packages (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_breezy_multiverse_binary-i386_Packages) 的状态 - stat (2 没有那个文件或目录)
W: 您可能需要运行 apt-get update 来解决这些问题
E: 软件包 fcitx 还没有可供安装的候选者
liujia@childe:~$

sudo gedit /etc/apt/sources.list
这个命令之后就没反应了
catinsnow 写了:试试

代码: 全选

sudo apt-get install fcitx
参见:
http://www.ubuntu.org.cn/support/docume ... st_install
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 childe » 2005-12-06 13:42

我需要手动修改/etc/apt/sources.list吗?
头像
gnix_oag
帖子: 1994
注册时间: 2005-05-19 18:38
来自: 湖南永州
送出感谢: 0
接收感谢: 1 次
联系:

#10

帖子 gnix_oag » 2005-12-06 14:15

你要好好看看才行啊

新手指南
childe
帖子: 22
注册时间: 2005-12-06 1:33
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 childe » 2005-12-07 0:06

替换了etc/apt/sources.list里面的源,终于好了.
回复

回到 “办公、图像、机械电子设计等”